.pt-o-game-12 {
  height: 100%;
  &__container {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    & > .__paper {
      width: 64.2rem;
      height: 100%;
      margin: 0 auto;
      font-size: 2rem;
      line-height: 3.2rem;
      position: relative;
      &.--hidden {
        display: none;
      }
      & > .__toggle {
        width: 1.6rem;
        height: 1.6rem;
        cursor: pointer;
        position: absolute;
        top: 1.8rem;
        right: 3.6rem;
        z-index: 2;
        transform: rotate(45deg);
      }
      .__pin.--right {
        display: none;
      }
      .__content {
        u {
          text-decoration: underline !important;
        }
        i {
          font-style: italic !important;
        }
        b {
          font-weight: bold !important;
        }
      }
    }
    & > .__left {
      width: 42vh;
      max-width: 38rem;
      height: 42vh;
      max-height: 38rem;
      border-radius: 14vh 0 0 14vh;
      display: flex;
      flex-shrink: 0;
      align-items: center;
      justify-content: center;
      overflow: hidden;
      position: relative;
      & > .__player {
        width: 12.8rem;
        height: 12.8rem;
      }
      & > .__duration {
        color: $dodgerBlue;
        font-family: 'mont_sb';
        font-size: 2.8rem;
        line-height: 3.4rem;
        position: absolute;
        bottom: 2.4rem;
        left: 50%;
        transform: translateX(-50%);
      }
    }
    & > .__right {
      width: calc(100% - 42vh);
      height: 100%;
      display: flex;
      flex-direction: column;
      & > .__tapescript {
        min-width: 17.6rem;
        height: 4.6rem;
        background: linear-gradient($deepSkyBlue, $dodgerBlue);
        border-radius: 2.3rem;
        color: $white;
        font-family: 'mont_b';
        font-size: 1.8rem !important;
        position: absolute;
        bottom: 1.2rem;
        left: max(-21vh, -19rem);
        transform: translateX(-50%);
        &:active {
          &::before {
            opacity: 1;
          }
        }
        &::before {
          width: 17.6rem;
          height: 4.6rem;
          background: $deepSkyBlue;
          border-radius: 2.3rem;
          color: $white;
          content: 'Tapescript';
          display: flex;
          align-items: center;
          justify-content: center;
          font-family: 'mont_b';
          font-size: 1.8rem;
          opacity: 0;
          pointer-events: none;
          position: absolute;
          top: 0;
          left: 0;
        }
      }
      & > .__header {
        padding: 2rem 2.4rem;
        text-align: center;
        overflow-y: auto;
        max-height: 35%;
        & > .__heading {
          color: $gunPowder;
          font-family: 'mont_m';
          font-size: 1.8rem;
          line-height: 2.2rem;
        }
        &::-webkit-scrollbar {
          width: 7px;
          background-color: transparent;
        }
        &::-webkit-scrollbar-track {
          background-color: transparent;
          border-radius: 10px;
          margin-top: 1rem;
          margin-bottom: 1rem;
        }
        &::-webkit-scrollbar-thumb {
          background: #D4E9FF;
          border-radius: 10px;
        }
      }
      & > .__content {
        margin-bottom: 1.2rem;
        flex: 1;
        background: url('/pt/images/backgrounds/bg-game-1.png');
        background-size: cover;
        background-position: center center;

        & > div > div {
          // display: flex;
          // justify-content: center;
          // align-items: center;
          height: 100%;
          padding: 1rem 0 2rem 0;
          overflow: auto !important;
        }

        .__list {
          align-self: center;
          width: 44rem;
          margin: 1.6vh auto;
          display: flex;
          flex-wrap: wrap;
          align-items: center;
          justify-content: space-between;
          &.--list-mr3 {
            width: 80%;
            @media only screen and (max-height: 767px) {
              align-self: unset;
            }
          }
          &.--lg {
            width: 59rem;
          }
          & > .__checkbox-item {
            width: 27%;
            height: 9rem;
            margin: 0 0 1.6rem 0;
            animation-duration: 150ms;
            cursor: pointer;
            &:hover {
              & > .__container {
                background: $pattensBlue;
                &::before,
                &::after {
                  background: $pattensBlue;
                }
              }
            }
            &.--shake {
              animation: game-checkbox-shake 150ms 2 linear;
            }
            &.--mr3 {
              width: calc(50% - 8rem);
              margin: 4px 4rem 2.6rem 4rem;
            }
            &.--down {
              margin: 4.5rem 0 -4.5rem 0;
            }
            &.--up {
              margin: -4.5rem 0 4.5rem 0;
            }
            &.--checked {
              & > .__container {
                background: $dodgerBlue;
                box-shadow: inset 0 0.6rem 0.6rem
                  rgba($color: $black, $alpha: 0.25);
                transform: translateY(0.6rem);
                &::before {
                  box-shadow: inset 1.2rem -0.6rem 0.6rem rgba($color: $black, $alpha:
                        0.25);
                }
                &::after {
                  box-shadow: inset -0.6rem 1.2rem 0.6rem rgba($color: $black, $alpha:
                        0.25);
                }
                &::before,
                &::after {
                  background: $dodgerBlue;
                }
                & > .__text {
                  color: $white;
                }
              }
            }
            &.--danger {
              & > .__container {
                & > .__text {
                  color: $salmon;
                }
              }
            }
            &.--success {
              & > .__container {
                & > .__text {
                  color: $limeGreen;
                }
              }
            }
            & > .__container,
            & > .__shadow {
              height: 100%;
              margin: 0 auto;
              background: $white;
              display: flex;
              align-items: center;
              justify-content: center;
              position: relative;
              z-index: 2;
              transition: all 0.25s ease-in-out;
              text-align: center;
              &::before,
              &::after {
                width: 6.66rem;
                height: 6.66rem;
                background: $white;
                border-radius: 0.6rem;
                content: '';
                position: absolute;
                top: 1.135rem;
                z-index: 1;
                transform: scaleX(0.5) rotate(45deg);
                transition: all 0.25s ease-in-out;
              }
              &::before {
                left: -3.35rem;
              }
              &::after {
                right: -3.35rem;
              }
              & > .__text {
                color: $dodgerBlue;
                font-family: 'mont_sb';
                font-size: 1.6rem;
                line-height: 2rem;
                position: relative;
                z-index: 2;
              }
            }
            & > .__shadow {
              z-index: 1;
              background: $dodgerBlue;
              transform: translateY(calc(-100% + 0.6rem));
              &::before,
              &::after {
                background: $dodgerBlue;
              }
            }
          }
        }
      }
    }
  }
  &__see-more {
    display: none;
    // display: flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    border-radius: 2rem;
    background-color: rgba($color: #000000, $alpha: 0.4);
    position: fixed;
    bottom: 14rem;
    z-index: 1000;
    left: calc(50% - 2rem);
  }
}

@include desktop-md {
  .pt-o-game-12 {
    &__container {
      & > .__right {
        & > .__content {
          .__list {
            margin: 3.2vh auto 5.6vh;
          }
        }
      }
    }
  }
}

@include desktop-sm {
  .pt-o-game-12 {
    &__container {
      & > .__right {
        & > .__content {
          .__list {
            margin: 1.6vh auto 5.6vh;
          }
        }
      }
    }
  }
}

@include screen-768-1024-portrait {
  .pt-o-game-12 {
    &__container {
      flex-direction: column;

      & > .__left {
        width: 18.6rem;
        height: 19.8rem;
        border-radius: unset;
        border-top-left-radius: 9.3rem;
        border-top-right-radius: 9.3rem;
        overflow: unset;
        max-width: unset;
        max-height: unset;
        flex-direction: column;
        & > .__player {
          width: 7rem;
          height: 7rem;
          top: 2.5rem;
          position: absolute;
        }

        & > .__duration {
          position: absolute;
          bottom: 4.9rem;
          transform: unset;
          left: unset;
          font-size: 2rem;
        }
      }

      & > .__left--review {
        margin-bottom: 0;
      }

      & > .__right {
        width: 100%;
        height: 100%;

        & > .__tapescript {
          min-width: 17.6rem;
          height: 4.6rem;
          border-radius: 2.3rem;
          font-family: 'mont_b';
          font-size: 1.8rem !important;
          top: unset;
          bottom: unset;
          left: 50%;
          bottom: 100%;
          transform: translate(-50%, -2px);

          &::before {
              width: 17.6rem;
              height: 4.6rem;
              border-radius: 2.3rem;
              content: 'Tapescript';
              font-family: 'mont_b';
              font-size: 1.8rem;
              opacity: 0;
              top: 0;
              left: 0;
          }
        }
      & > .__header {
        padding: 2rem 2.4rem;
        text-align: center;
        overflow-y: auto;
        max-height: 35%;
      }
        & > .__content {
          .__list {
            & > .__checkbox-item {
              margin: 0 0 2.6rem 0;
              &.--mr3 {
                width: 100%;
                margin: 1rem 4rem 1.6rem 4rem;
              }
            }
          }
        }
      }
    }
  }
}

@include screen-767-portrait{
  .pt-o-game-12 {
    overflow: auto;
    &__container {
      flex-direction: column;
      overflow-y: auto;
      flex: auto;
      justify-content: flex-start;

      & > .__paper {
        width: 100%;
        .__content {
          font-size: 1.6rem;
        }
      }

      & > .__left {
        width: 12.6rem;
        height: 15.6rem;
        border-radius: unset;
        border-top-left-radius: 6.3rem;
        border-top-right-radius: 6.3rem;
        max-width: unset;
        max-height: unset;
        flex-direction: column;
        overflow: unset;
        justify-content: flex-start;
        & > .__player {
          width: 6.8rem;
          height: 6.8rem;
          top: 2rem;
          position: absolute;
        }

        & > .__duration {
          position: absolute;
          bottom: 2.8rem;
          transform: unset;
          left: unset;
          font-size: 1.8rem;
          line-height: 3.4rem;
        }
      }

      & > .__left--review {
        margin-bottom: 0;
      }

      & > .__right {
        width: 100%;
        height: auto;

        & > .__tapescript {
          min-width: 11.6rem;
          height: 3.4rem;
          border-radius: 2.3rem;
          font-family: mont_b;
          font-size: 1.4rem!important;
          top: unset;
          bottom: unset;
          left: 50%;
          bottom: 100%;
          transform: translate(-50%,-2px);

          &::before {
            width: 11.6rem;
            height: 3.4rem;
            border-radius: 2.3rem;
            content: 'Tapescript';
            font-family: 'mont_b';
            font-size: 1.4rem;
            opacity: 0;
            top: 0;
            left: 0;
          }
        }

        & > .__header {
          padding: 0.5rem 1rem;
          max-height: 35%;
          height: auto;
          & > .__heading {
            font-size: 1.4rem;
          }
        }
        & > .__content {
          & > div {
            & > div {
              height: 100%;
              position: unset !important;
            }
          }
          .__list {
            width: 80%;
            transform: translateX(-0.5px);
            &.--lg {
              width: 44rem;
            }
            & > .__checkbox-item {
              width: 27%;
              height: 6.6rem;
              margin: 0 0 1.6rem 0;
              &.--mr3 {
                width: 100%;
                margin: 4px 2rem 1.6rem 2rem;
              }
              &.--down {
                margin: 2rem 0 -4.5rem 0;
              }
              &.--up {
                margin: -4.5rem 0 2rem 0;
              }
              &.--checked {
                & > .__container {
                  background: $dodgerBlue;
                  box-shadow: inset 0 0.6rem 0.6rem
                    rgba($color: $black, $alpha: 0.25);
                  transform: translateY(0.6rem);
                  &::before {
                    box-shadow: inset 1.2rem -0.6rem 0.6rem rgba($color: $black, $alpha:
                          0.25);
                  }
                  &::after {
                    box-shadow: inset -0.6rem 1.2rem 0.6rem rgba($color: $black, $alpha:
                          0.25);
                  }
                  &::before,
                  &::after {
                    background: $dodgerBlue;
                  }
                  & > .__text {
                    color: $white;
                  }
                }
              }

              & > .__container,
              & > .__shadow {
                &::before,
                &::after {
                  width: 4.86rem;
                  height: 4.86rem;
                  background: $white;
                  border-radius: 0.6rem;
                  content: '';
                  position: absolute;
                  top: 0.9rem;
                  z-index: 1;
                  transform: scaleX(0.5) rotate(45deg);
                  transition: all 0.25s ease-in-out;
                }
                &::before {
                  left: -2.5rem;
                }
                &::after {
                  right: -2.5rem;
                }
                & > .__text {
                  color: $dodgerBlue;
                  font-family: 'mont_sb';
                  font-size: 1.4rem;
                  line-height: 2rem;
                  position: relative;
                  z-index: 2;
                }
              }
              & > .__shadow {
                transform: translateY(calc(-100% + 0.6rem));
                &::before,
                &::after {
                  background: $dodgerBlue;
                }
              }
            }
          }
        }
      }
    }
  }
}
@include screen-mobile-portrait{
  .pt-o-game-12 {
    overflow: auto;
    &__container {
      flex-direction: column;
      overflow-y: auto;
      flex: auto;
      justify-content: flex-start;

      & > .__paper {
        width: 100%;
        .__content {
          font-size: 1.6rem;
        }
      }

      & > .__left {
        width: 12.6rem;
        height: 15.6rem;
        border-radius: unset;
        border-top-left-radius: 6.3rem;
        border-top-right-radius: 6.3rem;
        max-width: unset;
        max-height: unset;
        flex-direction: column;
        overflow: unset;
        justify-content: flex-start;
        & > .__player {
          width: 6.8rem;
          height: 6.8rem;
          top: 2rem;
          position: absolute;
        }

        & > .__duration {
          position: absolute;
          bottom: 28px;
          transform: unset;
          left: unset;
          font-size: 1.4rem;
        }
      }

      & > .__left--review {
        margin-bottom: 0;
      }

      & > .__right {
        width: 100%;
        height: auto;

        // & > .__tapescript {
        //   min-width: 12.6rem;
        //   height: 3.4rem;
        //   border-radius: 2.3rem;
        //   font-family: 'mont_b';
        //   font-size: 1.8rem !important;
        //   top: -3.5rem;
        //   bottom: unset;
        //   left: 50%;

        //   &::before {
        //     width: 17.6rem;
        //     height: 4.6rem;
        //     border-radius: 2.3rem;
        //     content: 'Tapescript';
        //     font-family: 'mont_b';
        //     font-size: 1.8rem;
        //     opacity: 0;
        //     top: 0;
        //     left: 0;
        //   }
        // }

        & > .__header {
          padding: 0.5rem 1rem;
          & > .__heading {
            font-size: 1.4rem;
            line-height: 2rem;
          }
        }
        & > .__content {
          & > div {
            & > div {
              padding: 1rem 0rem 2rem 0;
              margin: 0 !important;
              height: 100%;
              position: unset !important;
            }
          }
          .__list {
            width: 30rem;
            transform: translateX(-0.5px);
            &.--lg {
              width: min(40rem, 95%);
            }
            & > .__checkbox-item {
              width: 27%;
              height: 6.6rem;
              margin: 0 0 1.6rem 0;
              &.--mr3 {
                width: 100%;
                margin: 4px 2rem 1.6rem 2rem;
              }
              &.--down {
                margin: 2rem 0 -4.5rem 0;
              }
              &.--up {
                margin: -4.5rem 0 2rem 0;
              }
              &.--checked {
                & > .__container {
                  background: $dodgerBlue;
                  box-shadow: inset 0 0.6rem 0.6rem
                    rgba($color: $black, $alpha: 0.25);
                  transform: translateY(0.6rem);
                  &::before {
                    box-shadow: inset 1.2rem -0.6rem 0.6rem rgba($color: $black, $alpha:
                          0.25);
                  }
                  &::after {
                    box-shadow: inset -0.6rem 1.2rem 0.6rem rgba($color: $black, $alpha:
                          0.25);
                  }
                  &::before,
                  &::after {
                    background: $dodgerBlue;
                  }
                  & > .__text {
                    color: $white;
                  }
                }
              }

              & > .__container,
              & > .__shadow {
                &::before,
                &::after {
                  width: 4.86rem;
                  height: 4.86rem;
                  background: $white;
                  border-radius: 0.6rem;
                  content: '';
                  position: absolute;
                  top: 0.9rem;
                  z-index: 1;
                  transform: scaleX(0.5) rotate(45deg);
                  transition: all 0.25s ease-in-out;
                }
                &::before {
                  left: -2.5rem;
                }
                &::after {
                  right: -2.5rem;
                }
                & > .__text {
                  color: $dodgerBlue;
                  font-family: 'mont_sb';
                  font-size: 1.2rem;
                  line-height: 2rem;
                  position: relative;
                  z-index: 2;
                }
              }
              & > .__shadow {
                transform: translateY(calc(-100% + 0.6rem));
                &::before,
                &::after {
                  background: $dodgerBlue;
                }
              }
            }
          }
        }
      }
    }
  }
}
@include screen-mobile-portrait-360{
  .pt-o-game-12 {
    &__container {
      & > .__left--review {
        margin-bottom: 0;
      }

      & > .__right {
        width: 100%;
        height: auto;
        & > .__content {
          & > div {
            & > div {
              height: 100%;
              position: unset !important;
            }
          }
          .__list {
            width: min(26rem, 85%);
            transform: translateX(-0.5px);
            & > .__checkbox-item {
              width: 27%;
              height: 6.6rem;
              margin: 0 0 1.6rem 0;
              &.--mr3 {
                width: 100%;
                margin: 4px 2rem 1.6rem 2rem;
              }
              &.--down {
                margin: 2rem 0 -4.5rem 0;
              }
              &.--up {
                margin: -4.5rem 0 2rem 0;
              }

              & > .__container,
              & > .__shadow {
                &::before,
                &::after {
                  width: 4.86rem;
                  height: 4.86rem;
                  background: $white;
                  border-radius: 0.6rem;
                  content: '';
                  position: absolute;
                  top: 0.9rem;
                  z-index: 1;
                  transform: scaleX(0.5) rotate(45deg);
                  transition: all 0.25s ease-in-out;
                }
                &::before {
                  left: -2.5rem;
                }
                &::after {
                  right: -2.5rem;
                }
                & > .__text {
                  color: $dodgerBlue;
                  font-family: 'mont_sb';
                  font-size: 1.1rem;
                  line-height: 1.6rem;
                  position: relative;
                  z-index: 2;
                }
              }
              & > .__shadow {
                transform: translateY(calc(-100% + 0.6rem));
                &::before,
                &::after {
                  background: $dodgerBlue;
                }
              }
            }
          }
        }
      }
    }
  }
}
@include screen-1024-landscape {
  .pt-o-game-12 {
    height: 100%;
    &__container {
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 2rem;
        line-height: 3.2rem;
        position: relative;
        &.--hidden {
          display: none;
        }
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 3.6rem;
          z-index: 2;
          transform: rotate(45deg);
        }
        .__pin.--right {
          display: none;
        }
        .__content {
          u {
            text-decoration: underline !important;
          }
          i {
            font-style: italic !important;
          }
          b {
            font-weight: bold !important;
          }
        }
      }
      & > .__left {
        width: 26rem;
        max-width: 26rem;
        height: 26rem;
        max-height: 26rem;
        border-radius: 9rem 0 0 9rem;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        position: relative;
        flex-shrink: 0;
        & > .__player {
          width: 50%;
          height: 50%;
        }

        & > .__duration {
          position: absolute;
          bottom: 0;
          left: 50%;
          transform: translateX(-50%);
          font-size: 2rem;
        }
      }
      & > .__right {
        width: calc(100% - 27rem);
        height: 100%;
        display: flex;
        flex-direction: column;
        position: relative;
        & > .__tapescript {
          min-width: 15rem;
          width: 15rem;
          height: 4rem;
          border-radius: 2rem;
          color: $white;
          font-family: 'mont_b';
          font-size: 1.6rem !important;
          position: absolute;
          bottom: 0;
          left: -15rem;
          transform: translateX(-5.5rem);
          &:active {
            &::before {
              opacity: 1;
            }
          }

          &::before {
            font-size: 1.6rem;
          }
        }
        & > .__header {
          padding: 1rem 1.2rem;
          text-align: center;
          & > .__heading {
            font-size: 1.6rem;
            line-height: 2rem;
          }
        }
        & > .__content {
          & > div > div {
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 1rem 0rem 2rem 0;
          }
          .__list {
            position: absolute;
            top: 0;
          }
        }
      }
    }
  }
}
@include screen-960-landscape {
  .pt-o-game-12 {
    height: 100%;
    &__container {
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
      & > .__paper {
        width: 64.2rem;
        height: 100%;
        margin: 0 auto;
        font-size: 1.4rem;
        line-height: 3.2rem;
        position: relative;
        &.--hidden {
          display: none;
        }
        & > .__toggle {
          width: 1.6rem;
          height: 1.6rem;
          cursor: pointer;
          position: absolute;
          top: 1.8rem;
          right: 3.6rem;
          z-index: 2;
          transform: rotate(45deg);
        }
        .__pin.--right {
          display: none;
        }
        .__content {
          u {
            text-decoration: underline !important;
          }
          i {
            font-style: italic !important;
          }
          b {
            font-weight: bold !important;
          }
        }
      }
      & > .__left {
        width: 18rem;
        max-width: 18rem;
        height: 18rem;
        max-height: 18rem;
        border-radius: 9rem 0 0 9rem;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        position: relative;
        flex-shrink: 0;
        & > .__player {
          width: 50%;
          height: 50%;
        }
        & > .__duration {
          position: absolute;
          bottom: 0;
          left: 50%;
          transform: translateX(-50%);
          font-size: 1.8rem;
        }
      }
      & > .__right {
        width: calc(100% - 19rem);
        max-width: unset;
        height: 100%;
        position: relative;

        & > .__tapescript {
          min-width: 15rem;
          width: 15rem;
          height: 4rem;
          border-radius: 2rem;
          color: $white;
          font-family: 'mont_b';
          font-size: 1.2rem !important;
          position: absolute;
          bottom: 0;
          left: -15rem;
          transform: translateX(-1.5rem);
          &:active {
            &::before {
              opacity: 1;
            }
          }

          &::before {
            width: 17.6rem;
            height: 4.6rem;
            background: $deepSkyBlue;
            border-radius: 2.3rem;
            color: $white;
            content: 'Tapescript';
            display: flex;
            align-items: center;
            justify-content: center;
            font-family: 'mont_b';
            font-size: 1.2rem;
            opacity: 0;
            pointer-events: none;
            position: absolute;
            top: 0;
            left: 0;
          }
        }
        & > .__header {
          padding: 1rem 1.2rem;
          text-align: center;
          font-size: 1.4rem;
          & > .__heading {
            font-size: 1.4rem;
            line-height: 2rem;
          }
        }
        & > .__content {
          .__list {
            transform: none;
            position: absolute;
            top: 0;
            width: 80%;
            &.--lg {
              width: min(50rem, 80%);
            }
            & > .__checkbox-item {
              margin: 0 0 1.6rem 0;
              &.--mr3 {
                width: 100%;
                margin: 0.6rem 2rem 0.6rem 2rem;
              }
              > .__container {
                > .__text {
                  font-size: 1.2rem;
                }
              }
            }
          }
        }
      }
    }
  }
}
